Bug 600621 - SELinux is preventing /sbin/grubby "sys_admin" access .
SELinux is preventing /sbin/grubby "sys_admin" access .
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy (Show other bugs)
6.0
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
Milos Malik
setroubleshoot_trace_hash:d1d4318bc79...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-05 05:36 EDT by Mark Wielaard
Modified: 2012-10-16 06:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-24.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:34:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Wielaard 2010-06-05 05:36:01 EDT
Summary:

SELinux is preventing /sbin/grubby "sys_admin" access .

Detailed Description:

SELinux denied access requested by grubby. It is not expected that this access
is required by grubby and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:kdumpgui_t:s0-s0:c0.c1023
Target Context                system_u:system_r:kdumpgui_t:s0-s0:c0.c1023
Target Objects                None [ capability ]
Source                        grubby
Source Path                   /sbin/grubby
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           grubby-7.0.15-1.el6
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-22.el6
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32-33.el6.x86_64
                              #1 SMP Thu Jun 3 13:00:03 EDT 2010 x86_64 x86_64
Alert Count                   3
First Seen                    Fri 04 Jun 2010 11:52:14 PM CEST
Last Seen                     Sat 05 Jun 2010 11:35:33 AM CEST
Local ID                      f719dea0-8981-47cb-8138-276f4dbbbd28
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1275730533.332:506): avc:  denied  { sys_admin } for  pid=31587 comm="grubby" capability=21  scontext=system_u:system_r:kdumpgui_t:s0-s0:c0.c1023 tcontext=system_u:system_r:kdumpgui_t:s0-s0:c0.c1023 tclass=capability

node=(removed) type=SYSCALL msg=audit(1275730533.332:506): arch=c000003e syscall=16 success=no exit=-13 a0=3 a1=5331 a2=0 a3=6 items=0 ppid=31586 pid=31587 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="grubby" exe="/sbin/grubby" subj=system_u:system_r:kdumpgui_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,grubby,kdumpgui_t,kdumpgui_t,capability,sys_admin
audit2allow suggests:

#============= kdumpgui_t ==============
allow kdumpgui_t self:capability sys_admin;
Comment 1 Mark Wielaard 2010-06-05 05:37:53 EDT
This happens whenever you select the "Kernel Crash Dumps" configuration screen from the "Control Center".
Comment 3 Daniel Walsh 2010-06-07 09:43:19 EDT
Miroslav, this seems reasonable.
Comment 4 RHEL Product and Program Management 2010-06-07 10:13:42 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Miroslav Grepl 2010-06-10 02:40:27 EDT
Fixed in selinux-policy-3.7.19-24.el6.noarch
Comment 8 releng-rhel@redhat.com 2010-11-10 16:34:32 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.